.password-field {
  position: relative;
  align-items: center;
  width: 100%;
}

.password-field span {
  position: absolute;
  right: 0.5rem;
  top: 0.3rem;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  display: flex;
  align-items: center;
  z-index: 100;
}

.msf-input-block .password-field input {
  margin-bottom: 0px;
}

.msf-input-block .password-field label {
  padding-top: 2px;
  width: 100%;
  text-align: center;
}